User contributions for Chubbard
Jump to navigation
Jump to search
20 October 2021
- 10:3010:30, 20 October 2021 diff hist +111 m Bash-common-checks No edit summary
19 October 2021
- 12:5312:53, 19 October 2021 diff hist +183 m Bash-common-checks No edit summary
- 12:4212:42, 19 October 2021 diff hist +630 m Bash-common-checks No edit summary
- 12:3712:37, 19 October 2021 diff hist 0 m Bash-common-checks →Make a banner
- 12:3612:36, 19 October 2021 diff hist +1,474 m Bash-common-checks →Common checks and validations that are a PITA to remember
- 12:3312:33, 19 October 2021 diff hist +143 m Bash-common-checks No edit summary
- 12:2712:27, 19 October 2021 diff hist +60 m Bash-common-checks →TCP port check
- 12:2512:25, 19 October 2021 diff hist +228 m Bash-common-checks No edit summary
- 12:2112:21, 19 October 2021 diff hist +20 m Bash-common-checks No edit summary
- 12:2012:20, 19 October 2021 diff hist +79 m Bash-common-checks No edit summary
- 08:2808:28, 19 October 2021 diff hist −4 m Bash-common-checks No edit summary
- 08:2708:27, 19 October 2021 diff hist +223 N Bash-common-checks Created page with "## Common checks and validations that are a PITA to remember ## * Check if a var is an integer <pre> VAR=123 if [[ ${VAR} =~ ^-?[0-9]+$ ]]; then echo "Is integer" else ech..."
15 October 2021
- 15:4915:49, 15 October 2021 diff hist +646 Main Page No edit summary
- 15:4215:42, 15 October 2021 diff hist +368 N Bash-password-genorator Created page with "==Bash version== <pre> #!/bin/bash if -z $1 ; then CHAR=10 else CHAR=$1 fi strings /dev/urandom | grep -o 'alnum:' | head -n ${CHAR} | tr -d '\n'; echo '!' </pre..."
- 15:3815:38, 15 October 2021 diff hist +360 N Iwillfearnoevil links Created page with "Random links so I do not have to hunt for them... Most will not be world accessible (unless you ask) # https://grafana.iwillfearnoevil.com/d/gSgl4u8Zk/power-utilization?orgI..."
- 15:3615:36, 15 October 2021 diff hist +1 Random links No edit summary
- 15:3615:36, 15 October 2021 diff hist +290 N Random links Created page with "# https://askubuntu.com/questions/466366/is-there-a-command-to-view-hard-drive-specs # https://talesfromthedatacenter.com/2019/08/how-to-create-a-linux-partition-larger-than-2..."
- 15:3215:32, 15 October 2021 diff hist +68 Nms-existing-tests No edit summary
- 15:3115:31, 15 October 2021 diff hist +10 Nms-existing-tests No edit summary
- 15:3115:31, 15 October 2021 diff hist +321 N Nms-existing-tests Created page with "Local LAN links to different monitoring tests http://192.168.15.249/event?sort=eventSeverity&direction=DESC http://backup01:85/windowDetail.php?id=5d1036d709297 http://backup..."
- 15:2615:26, 15 October 2021 diff hist +248 N Snmp-links Created page with "==Links to external sources of information== # https://oidref.com/ # http://oid-info.com/get/ # http://www.mibdepot.com # http://www.snmplink.org/cgi-bin/nd/m/Standards/RFC%20..." current
- 15:2215:22, 15 October 2021 diff hist +245 N Bash-set-options Created page with "# set -o nounset # Treat unset variables as an error # set -o pipefail # Any non-zero exits in pipes fail # set -e..." current
- 15:2015:20, 15 October 2021 diff hist +394 N Bash-check-redis-replication Created page with "Example of using expect within a bash script This will give you both the hosts as well as an exit code to check for failures. <pre> SLAVED_HOSTS=`exec expect <<EOD set timeou..."
- 15:1815:18, 15 October 2021 diff hist +206 N Bash-check-if-root-user Created page with "<pre> got_root() { if [ "$(id -u)" != "0" ]; then echo "Failure: This script must be run as root or sudo used"; exit 2 else echo "Confirmed: running as root, or sudo used..."
- 15:1715:17, 15 October 2021 diff hist +261 N Bash-check-if-host-pingable Created page with "<pre> check_remote() { local VALIDATE=`ping -c 3 ${IP} >/dev/null 2>&1; echo $?` if [ ${VALIDATE} -eq 0 ];then echo "Failure: IP address ${IP} is still pingable!"; exit 2 el..."
- 15:1615:16, 15 October 2021 diff hist +474 N Bash-check-if-ip-address Created page with "this is a VERY simple check to see if you have an IP address as your variable <pre> function valid_ip() { local ip=$1 local stat=1 if [[ $ip =~ ^[0-9]{1,3}\.[0-..."
- 15:1315:13, 15 October 2021 diff hist +46 Bash-email-with-attachments →Send simple inline email current
- 15:1115:11, 15 October 2021 diff hist +2,821 N Bash-email-with-attachments Created page with "====Mail with attachments==== # Install uuencode and sendmail binaries <pre> function fappend { echo "$2">>$1; } send_email2 () { local EMAIL="${2}" FILE2="/tmp/${RANDOM}..."
- 15:0415:04, 15 October 2021 diff hist +18 Bash-script-framework No edit summary current
- 15:0215:02, 15 October 2021 diff hist +25 Bash-script-framework No edit summary
- 15:0215:02, 15 October 2021 diff hist +77 Bash-script-framework No edit summary
- 14:5814:58, 15 October 2021 diff hist +6 Bash-script-framework No edit summary
- 14:5814:58, 15 October 2021 diff hist +2,142 Bash-script-framework No edit summary
- 14:4714:47, 15 October 2021 diff hist +1,488 N Bash-script-framework Created page with "<pre> #!/bin/bash #=============================================================================== # # FILE: FILENAME.sh # # USAGE: ./FILENAME.sh < options..."
- 14:3814:38, 15 October 2021 diff hist +97 N Snmp-examples Created page with "== SNMP Examples == Anything that is a useful example to reuse somewhere else Category:SNMP" current
- 14:3614:36, 15 October 2021 diff hist +817 Snmp-iwillfearnoevil No edit summary
- 14:2914:29, 15 October 2021 diff hist +109 N Category:SNMP Created page with "Anything pertaining to SNMP should have a category link to here. Your one-stop shop for all your snmp needs." current
- 14:2914:29, 15 October 2021 diff hist +838 N Snmp-iwillfearnoevil Created page with "== Specific to IANA SNMP oid 30911 == Everything dealing specifically with the IANA registered SNMP oid for iwillfearnoevil.com needs to go here. Default path: 1.3.6.1.4.1.30..."
- 14:0614:06, 15 October 2021 diff hist +581 Nms-trapReceiver No edit summary
- 14:0014:00, 15 October 2021 diff hist +516 N Nms-trapReceiver Created page with "This script: trapReceiver.php is not part of the API spec, and is however part of the overall system. This is what snmptrapd calls for all inbound SNMP events. Specifically..."
- 13:5613:56, 15 October 2021 diff hist +18 Nms-api-start-services No edit summary
- 13:5613:56, 15 October 2021 diff hist +263 N Nms-api-start-services Created page with "Currently there is no systemd, so all daemons are actually running via the PHP server command directly. <pre> cd /opt/nmsApi/ php -S 0.0.0.0:8002 -t public & </pre> Nothing..."
- 13:3413:34, 15 October 2021 diff hist +227 N Category:NMS Created page with "Everything pertaining specifically to "The NMS" that is being worked on specifically at iwillfearnoevil.com should fall under this category. Secondary stuff that pertains to..." current
- 13:3313:33, 15 October 2021 diff hist +2,214 N Nms-apiEventReceiver Created page with "Logic: Calling the /trap API is not the same as an snmptrap. This is really more of an Event API living at /trap There is NO logic for inserting the event into the database...."
- 13:3213:32, 15 October 2021 diff hist +67 N Nms-database-schema Created page with "Notes on the NMS that is being built on larvel01. Category:NMS" current
- 11:5511:55, 15 October 2021 diff hist +1,125 N Create-yml-from-bash-include Created page with "[https://stackoverflow.com/questions/41598377/create-bash-script-to-create-yaml-files-from-existing-linux-etc-hosts-files|Source site] This is going to be VERY fragile, but d..." current
- 11:5211:52, 15 October 2021 diff hist −2 Ubuntu-raid-live-os No edit summary current
- 11:5211:52, 15 October 2021 diff hist −1 Ubuntu-raid-live-os No edit summary
- 11:5211:52, 15 October 2021 diff hist +5,696 N Ubuntu-raid-live-os Created page with "[ https://feeding.cloud.geek.nz/posts/setting-up-raid-on-existing/ | Original source site] Tested and works, but is really touchy on getting it right. <pre> Adjust howto for..."
- 11:5011:50, 15 October 2021 diff hist +754 N Bash-rarely-used-options Created page with "Suspect they will be version dependent, but maybe not. [https://stackoverflow.com/questions/4168371/how-can-i-remove-all-text-after-a-character-in-bash | Original link] <p..." current